i installed a new release of wowza which is actually wowza 4.

my apps were previously designed for wowza 3.6. After putting my jar files into the lib folder, wowza 4 seems unhappy with that and my apps are not starting. do i need to recompile my jar files with a local version of wowza 4 ?

thank you